Bug 795465 - Historical regressions (+persistent issues) found using fontlint (accompanying FontForge tool)
Historical regressions (+persistent issues) found using fontlint (accompanyin...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 11:00 EST by Jan Pokorný
Modified: 2016-12-14 07:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 07:06:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fontlint output as obtained with commit c9bf242 [3] (2.03 KB, text/plain)
2012-02-20 11:03 EST, Jan Pokorný
no flags Details
fontlint output as obtained with commit 918c4f6 [2] (2.51 KB, text/plain)
2012-02-20 11:04 EST, Jan Pokorný
no flags Details

  None (edit)
Description Jan Pokorný 2012-02-20 11:00:08 EST
Experimenting with fontlint in connection to proposed patchset [1]
(actually, I'm adding fontlint proceeding as "make check" target in
patch 4/6), I have found out:

1/ with current git version (commit 918c4f6 [2]), each font variant is
   reported with at least three issues
   - this may be OK and only fontlint is too strict about its input
     when asked to report issues, hard to say

2/ when output of fontlint compared between the newest revision [2]
   and the first revision actually containg SFD files (commit c9bf242 [3]),
   it is surprising that some regression were probably introduced
   (I'll also attach original files for reference):

   LiberationMono-BoldItalic.sfd
   - References nested more deeply than specified in 'maxp'

   LiberationMono-Bold.sfd
   - References nested more deeply than specified in 'maxp'

   LiberationMono-Italic.sfd
   - References nested more deeply than specified in 'maxp'

   LiberationMono-Regular.sfd
   - References nested more deeply than specified in 'maxp'
   - Non integral coordinates in a glyph

   LiberationSans-BoldItalic.sfd
   - References nested more deeply than specified in 'maxp'
   - BUT fixed: Instructions longer than allowed in 'maxp'

   LiberationSans-Bold.sfd
   - References nested more deeply than specified in 'maxp'
   - Overlapping hints in a glyph.
   - BUT fixed: Instructions longer than allowed in 'maxp'

   LiberationSans-Italic.sfd
   - References nested more deeply than specified in 'maxp'
   - BUT fixed: Instructions longer than allowed in 'maxp'

   LiberationSans-Regular.sfd
   - References nested more deeply than specified in 'maxp'
   - BUT fixed: Instructions longer than allowed in 'maxp'

   LiberationSerif-BoldItalic.sfd
   - References nested more deeply than specified in 'maxp'
   - BUT fixed: Instructions longer than allowed in 'maxp'

   LiberationSerif-Bold.sfd
   - References nested more deeply than specified in 'maxp'

   LiberationSerif-Italic.sfd
   - References nested more deeply than specified in 'maxp'

   LiberationSerif-Regular.sfd
   - References nested more deeply than specified in 'maxp'
   - BUT fixed: Non integral coordinates in a glyph


I am not a "font expert" by any mean, but I want to point out that font
might be also a subject of systemic approach to quality control.

I cannot comment on plentiful issues as mentioned with 1/.
As far as 2/ is concerned, I suggest using "git bisect" to track down
the cause of fontlint output change followed by its evaluation.


[1] http://lists.fedoraproject.org/pipermail/fonts/2012-February/001386.html
[2] http://git.fedorahosted.org/git/?p=liberation-fonts.git;h=918c4f6
[3] http://git.fedorahosted.org/git/?p=liberation-fonts.git;h=c9bf242
Comment 1 Jan Pokorný 2012-02-20 11:03:09 EST
Created attachment 564461 [details]
fontlint output as obtained with commit c9bf242 [3]
Comment 2 Jan Pokorný 2012-02-20 11:04:14 EST
Created attachment 564462 [details]
fontlint output as obtained with commit 918c4f6 [2]
Comment 3 Jan Pokorný 2012-02-20 11:06:06 EST
FontForge version used:

$ fontforge --version
Copyright (c) 2000-2011 by George Williams.
 Executable based on sources from 13:48 GMT 22-Feb-2011.
 Library based on sources from 13:48 GMT 22-Feb-2011.
fontforge 20110222
libfontforge 20110222
Comment 4 Fedora End Of Life 2013-04-03 13:08:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:01:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-05-29 04:42:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 07:38:14 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Fedora End Of Life 2016-11-24 05:36:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Pravin Satpute 2016-12-14 07:05:43 EST
Liberation 1.07.4 in maintenance mode, so i am not planning to fix these issues. Only if get times. Closing as deferred.

Note You need to log in before you can comment on or make changes to this bug.